Bug 811805 - POPT_CONTEXT_NO_EXEC and POPT_CONTEXT_POSIXMEHARDER not documented
POPT_CONTEXT_NO_EXEC and POPT_CONTEXT_POSIXMEHARDER not documented
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: popt (Show other bugs)
19
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 22:01 EDT by Christoph Anton Mitterer
Modified: 2013-11-24 12:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 12:03:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 666431 None None None Never

  None (edit)
Description Christoph Anton Mitterer 2012-04-11 22:01:22 EDT
Hi.

The popt(3) manpage does basically not document the flags to poptGetContext():
       POPT_CONTEXT_NO_EXEC         Ignore exec expansions
       POPT_CONTEXT_POSIXMEHARDER   Options cannot follow arguments

I could not find information on the web what these two _actually_ do.


Cheers,
Chris.
Comment 1 Fedora End Of Life 2013-04-03 13:18:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Robert Scheck 2013-11-24 11:34:27 EST
I am very sorry, but I do really not see how I could help here as Fedora is
downstream of popt. But http://rpm5.org/community/popt-devel/0270.html is a
forward of this request to upstream for discussions there.
Comment 3 Robert Scheck 2013-11-24 12:03:35 EST
Upstream replied to this at http://rpm5.org/community/popt-devel/0274.html -
from my point of view, there is nothing left thus I am closing this report.
In case you disagree with me, feel free to subscribe popt-devel mailing list
at upstream and let us discuss your point directly with upstream.

Note You need to log in before you can comment on or make changes to this bug.